#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform float colorFactor;

void main(void)
{
    vec4 newColor = colorFactor * v_fragmentColor;
    newColor.w = v_fragmentColor.w;
    gl_FragColor = mix(v_fragmentColor, newColor, v_texCoord.y) * texture2D(CC_Texture0, v_texCoord);
}

